https://pulumi.com logo
#typescript
Title
# typescript
a

astonishing-tiger-81216

09/17/2020, 11:51 AM
Hi, I’m pondering on whether to upgrade the pulumi/aws package but I’m worried about breaking the stack. Package        Current  Wanted  Latest  Package Type   URL                           @pulumi/aws 1.21.0 1.31.0 3.2.1 dependencies https://pulumi.io Reason being, I’m trying to instantiate an
aws.wafv2
object which doesn’t appear to be present in my current version.   Has anyone done this before? Did it go well?
g

gentle-diamond-70147

09/17/2020, 5:06 PM
Our changelog will mention any potential breaking changes from one version to the next. So please take a look at https://github.com/pulumi/pulumi-aws/blob/master/CHANGELOG.md to understand what has changed from your current version. In general, we take strides to make upgrades safe and seamless. As a precaution, you can export your stack state file to give you a way to downgrade if you do run into an issue - e.g.
pulumi stack export
. If you're using the Pulumi Console, then you can export any previous state from there too. So to be extra careful (after exporting your current state), upgrade your cli and then do an
up
without any code or resource changes and if all goes well, you can proceed with your code changes to start using `aws.wafv2.
a

astonishing-tiger-81216

09/18/2020, 10:08 AM
Many thanks for the response @gentle-diamond-70147, I’ll be sure to export the state beforehand.